Bug 983800 - with GNOME Shell "Set as wallpaper" does not work
with GNOME Shell "Set as wallpaper" does not work
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: geeqie (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 22:04 EDT by Christopher Beland
Modified: 2015-12-02 11:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:49:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2013-07-11 22:04:35 EDT
Viewing an image in geeqie, select from the menu "Edit -> Set as wallpaper".

Nothing happens, whether or not I have Nautilus managing the desktop in gnome-tweak-tool.

nautilus-3.6.3-4.fc18.x86_64
gnome-shell-3.6.3.1-1.fc18.x86_64
geeqie-1.0-21.fc18.x86_64
Comment 1 Michael Schwendt 2013-07-12 04:48:22 EDT
> Nothing happens

With GNOME Shell. The feature still works with other desktop environments/window managers.

In case you want to debug it -> geeqie/src/image.c  void image_to_root_window(…)
Comment 2 Fedora End Of Life 2013-12-21 09:18:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 17:06:51 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Fedora End Of Life 2015-05-29 05:10:37 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Christopher Beland 2015-05-30 15:07:10 EDT
Still a problem with:

geeqie-1.1-22.fc21.x86_64
gnome-shell-3.14.4-2.fc21.x86_64
Comment 6 Michael Schwendt 2015-05-31 03:03:06 EDT
Such a feature for a different desktop environment won't appear magically. It may need somebody to look into it and add the feature.

Geeqie development has lost momemtum a long ago already. Upstream tickets are not responded to. The project is losing the gitorious access. The brand-new web page still announces being "short before releasing stable release 1.0". No 1.2 tarball has been made available.
Comment 7 Michael Schwendt 2015-05-31 11:16:57 EDT
Two some examples from this "problem space":

1) install package "WindowMaker"
2) log out
3) log into a Window Maker session
4) run GNOME Shell's default image viewer "shotwell" and use "Set as Desktop Background" on some image file

It chokes a bit and fails without any error message. Desktop background remains unchanged.

Next try image viewer Eye of Gnome ("eog") in Window Maker. It claims it has set the background, but that's not true as the background is the unchanged Fedora wallpaper. Curiously, its desktop background manager tool believes otherwise and shows the activated image.

Now do the same with Geeqie. It works. Same applies to package "openbox" instead of "WindowMaker".
Comment 8 Matthew Miller 2015-07-20 16:19:28 EDT
I'm kind of inclined to just patch the "set as wallpaper" menu item out of geeqie for Fedora, until such time as someone is interested in writing a patch to make it work right in GNOME.
Comment 9 Michael Schwendt 2015-07-21 04:49:00 EDT
At the worst-case, that would only cripple Geeqie for other users, who don't use GNOME Shell but some other DE/WM where the feature still works -- I didn't check every possible combination. The problems for some image viewers started when some DE's took over handling the desktop background.

If there were a reusable library API to set the desktop background for *any* DE/WM, that would be real progress. Reinventing the wheel in a dozen image viewers and image display tools is the wrong way.

[...]

WRT disabling features, in the same way one could also try to blacklist the gdk-pixbuf loader for .xcf files, although it seems to work for basic .xcf files. I've reopened the tickets that have not been responded to at all and have been closed by the EOL script:
  bug 1144090
  bug 1060497
Comment 10 Fedora End Of Life 2015-11-04 06:04:12 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-12-01 21:49:57 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.